Method: accounts.proposals.addNote
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This method is used to create a new note and attach it to a proposal, with the server assigning a unique ID to the note.
The HTTP request method is POST, and the URL includes the accountId and proposalId as path parameters.
The request body requires a JSON object containing a "note" field with the details of the note to add.
A successful response body will contain an instance of the Note object.
This operation requires the https://www.googleapis.com/auth/adexchange.buyer OAuth scope for authorization.
Create a new note and attach it to the proposal. The note is assigned a unique ID by the server. The proposal revision number will not increase when associated with a new note.
HTTP request
POST https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/proposals/{proposalId}:addNote
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
accountId
string
Account ID of the buyer.
proposalId
string
The ID of the proposal to attach the note to.
Request body
The request body contains data with the following structure:
JSON representation
{
"note" : {
object (Note )
}
}
Fields
note
object (Note )
Details of the note to add.
Response body
If successful, the response body contains an instance of Note .
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/adexchange.buyer
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]